package com.ym.mec.auth.service;

import java.util.List;

import com.ym.mec.auth.api.entity.SysRoleMenu;
import com.ym.mec.common.service.BaseService;

public interface SysRoleMenuService extends BaseService<Integer, SysRoleMenu> {

	/**
	 * 根据角色查询权限列表
	 * @param roleId
	 * @return
	 */
	List<String> queryPermissionsByRoleId(Integer roleId);

	/**
	 * 根据角色查询权限列表
	 * @param roleIdList
	 * @return
	 */
	List<String> queryPermissionsByRoleIdList(List<Integer> roleIdList);

	/**
	 * 角色添加菜单访问权限
	 * @param roleId
	 * @param menuIds
	 * @return
	 */
    boolean batchInsert(Integer roleId, String menuIds);

	/**
	 * 角色删除菜单访问权限
	 * @param roleId
	 * @param menuIds
	 * @return
	 */
    boolean batchdel(Integer roleId, String menuIds);
}